List assigned active clinics
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/clinics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/clinics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/clinics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"branch_id": 123,
"department_id": 123,
"name": "<string>",
"code": "<string>",
"supports_outpatient": true,
"supports_inpatient": true,
"is_active": true,
"is_primary": true
}
]
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Foundation
List assigned active clinics
Returns active clinics assigned to the authenticated user. Requires hmis:read.
GET
/
clinics
List assigned active clinics
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/clinics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/clinics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/clinics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"branch_id": 123,
"department_id": 123,
"name": "<string>",
"code": "<string>",
"supports_outpatient": true,
"supports_inpatient": true,
"is_active": true,
"is_primary": true
}
]
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}